Skip to content

Create a manual entry

POST
/api/mailboxes/{mailboxId}/manual-documents
curl --request POST \
--url https://app.docstosheets.com/api/mailboxes/example/manual-documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "title": "example", "data": { "additionalProperty": "example" }, "sections": { "additionalProperty": [ { "additionalProperty": "example" } ] } }'

Creates a document with no source file whose extraction values are supplied directly.

mailboxId
required
string
Media type application/json
object
title

Optional display title for the entry (shows as the document name).

string
nullable
data

Header field values keyed by field key.

object
key
additional properties
sections

Flat rows per repeating section, keyed by group id.

object
key
additional properties
Array<object>
object
key
additional properties
Example generated
{
"title": "example",
"data": {
"additionalProperty": "example"
},
"sections": {
"additionalProperty": [
{
"additionalProperty": "example"
}
]
}
}
Media type application/json
object
documentId
required
string
extractionId
required
string
Example generated
{
"documentId": "example",
"extractionId": "example"
}
Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
nullable
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}
Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
nullable
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}